Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class FormsPipelineConfig.FormsVariables

    java.lang.Object
      org.apache.cocoon.forms.transformation.FormsPipelineConfig.FormsVariables

All Implemented Interfaces:
  org.apache.commons.jxpath.Variables

Enclosing class:
  FormsPipelineConfig

public static final class FormsPipelineConfig.FormsVariables
extends Object
implements org.apache.commons.jxpath.Variables

Constructor Summary
`FormsPipelineConfig.FormsVariables()`

Method Summary
`void` | `addDeprecatedVariable(String name)`
`void` | `declareVariable(String name, Object value)`
`Object` | `getVariable(String name)`
`boolean` | `isDeclaredVariable(String name)`
`void` | `undeclareVariable(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormsPipelineConfig.FormsVariables

    public FormsPipelineConfig.FormsVariables()

Method Detail

### addDeprecatedVariable

    public void addDeprecatedVariable(String name)

### declareVariable

    public void declareVariable(String name,
                                Object value)

  Specified by:
    `declareVariable` in interface `org.apache.commons.jxpath.Variables`

### getVariable

    public Object getVariable(String name)

  Specified by:
    `getVariable` in interface `org.apache.commons.jxpath.Variables`

### isDeclaredVariable

    public boolean isDeclaredVariable(String name)

  Specified by:
    `isDeclaredVariable` in interface `org.apache.commons.jxpath.Variables`

### undeclareVariable

    public void undeclareVariable(String name)

  Specified by:
    `undeclareVariable` in interface `org.apache.commons.jxpath.Variables`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.